import { Alert } from "antd";
import { useTranslation } from "react-i18next";
import InstanceRenderManager from "../../utils/instanceRenderMgr";

export default function JobProfileDataWarning({ job }) {
  const { t } = useTranslation();

  let missingProfileInfo =
    Object.keys(job.cieca_pft).length === 0 ||
    Object.keys(job.cieca_pfl).length === 0 ||
    Object.keys(job.materials).length === 0;

  if (missingProfileInfo && InstanceRenderManager({ rome: true }))
    return <Alert type="error" title={t("jobs.labels.missingprofileinfo")}></Alert>;
  return null;
}
